Subject: [alpine-aports] [PATCH] testing/libgflags: new aport

From: David Huffman <[email-masked]>
Date: Sat, 9 Jan 2016 08:52:48 -0500

https://gflags.github.io/gflags
A C++ library that implements commandline flags processing
---
 testing/libgflags/APKBUILD | 54 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)
 create mode 100644 testing/libgflags/APKBUILD

diff --git a/testing/libgflags/APKBUILD b/testing/libgflags/APKBUILD
new file mode 100644
index 0000000..ca4c323
--- /dev/null
+++ b/testing/libgflags/APKBUILD
@@ -0,0 +1,54 @@
+# Contributor: David Huffman <[email-masked]>
+# Maintainer: David Huffman <[email-masked]>
+pkgname=libgflags
+pkgver=2.1.2
+_srcname=gflags-$pkgver
+pkgrel=0
+pkgdesc="A C++ library that implements commandline flags processing"
+url="https://gflags.github.io/gflags"
+arch="all"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="$depends_dev cmake"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="https://github.com/gflags/gflags/archive/v$pkgver/$_srcname.tar.gz"
+
+_builddir="$srcdir/$_srcname"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	cmake -Wno-dev \
+	      -DBUILD_gflags_nothreads_LIB=OFF \
+	      -DBUILD_SHARED_LIBS=ON \
+	      -DBUILD_STATIC_LIBS=ON \
+	      -DCMAKE_INSTALL_PREFIX=/usr \
+	      -DCMAKE_SKIP_RPATH=ON \
+	      -DCMAKE_VERBOSE_MAKEFILE=ON \
+	       || return 1
+	make || return 1
+}
+
+package() {
+	local docdir="$pkgdir/usr/share/doc/$pkgname-$pkgver"
+	mkdir -p "$docdir" || return 1
+
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	cp AUTHORS.txt ChangeLog.txt COPYING.txt "$docdir"
+	cp -r doc "$docdir/html"
+}
+
+md5sums="ac432de923f9de1e9780b5254884599f  gflags-2.1.2.tar.gz"
+sha256sums="d8331bd0f7367c8afd5fcb5f5e85e96868a00fd24b7276fa5fcee1e5575c2662  gflags-2.1.2.tar.gz"
+sha512sums="f636023c1150e4d536d2d472e40d643ff0b02d3c96d8cb7f31544df23e6255fa6c4fd927ef94a3660c250d3faeae7d8d78519fc5e856749a577347a78d9d9ab5  gflags-2.1.2.tar.gz"
-- 
2.6.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---